
Finalization Pharmadex for Mozambique, Bangladesh, Namibia, Ethiopia - Support #1984

Test BD review + finalize

08/05/2016 07:33 AM - Oleksii Kurasov

Status: Closed Start date: 08/05/2016

Priority: Urgent Due date: 08/12/2016

Assignee: Oleksii Kurasov % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

History

#1 - 08/09/2016 01:09 PM - Oleksii Kurasov

- Due date changed from 08/07/2016 to 08/11/2016

#2 - 08/11/2016 09:40 AM - Oleksii Kurasov

- Due date changed from 08/11/2016 to 08/12/2016

#3 - 08/16/2016 11:30 AM - Oleksii Kurasov

- Status changed from New to Closed
